Bug 7093 - ccache breaks -MD handling
ccache breaks -MD handling
Status: CLOSED FIXED
Product: ccache
Classification: Unclassified
Component: ccache
2.4
Other Linux
: P3 normal
: 3.0
Assigned To: Joel Rosdahl
Joel Rosdahl
http://lists.samba.org/archive/ccache...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-02 17:56 UTC by Mike Frysinger
Modified: 2010-07-09 04:17 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Frysinger 2010-02-02 17:56:42 UTC
Steps to Reproduce:
1. mkdir testxyz
2. touch foo.c
3. /usr/bin/gcc foo.c -c -o `pwd`/foo.o -MD
   foo.d will say:
   /this/directory/foo.o: foo.c
4. ccache /usr/bin/gcc foo.c -c -o `pwd`/foo.o -MD
   foo.d will say:
   foo.o: foo.c

this was mentioned (with patch!) a while ago on the ccache lists:
http://lists.samba.org/archive/ccache/2006q4/000249.html

Debian has a bug report:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=217713

as does Gentoo:
http://bugs.gentoo.org/301727
Comment 1 Joel Rosdahl 2010-02-20 08:57:52 UTC
Committed in e8354384f67bc733bea5a9dc8e5e90fc0bc75e32.